/*
 *  ICeCoffEEShared.h
 *  ICeCoffEE APE
 *
 *  Created by Nicholas Riley on Mon Jan 20 2003.
 *  Copyright (c) 2003 Nicholas Riley. All rights reserved.
 *
 */

#ifndef _H_ICeCoffEEShared
#define _H_ICeCoffEEShared

#include <CoreFoundation/CoreFoundation.h>

#define ICCF_DEBUG 0

#if ICCF_DEBUG
#define ICLog NSLog
#define ICapeprintf apeprintf
#else
#define ICLog (void)
#define ICapeprintf (void)
#endif

extern const OSType kICCFCreator;

extern const CFStringRef kICBundleIdentifier;

// ICeCoffEE 1.1/1.2 CFPreferences
extern const CFStringRef kIC12PrefExcluded;
extern const CFStringRef kIC12PrefExcludedAppSpecifierBundleID;

// CFPreferences
extern const CFStringRef kICCommandClickEnabled; // CFNumber (Boolean)
extern const CFStringRef kICTextBlinkEnabled; // CFNumber (Boolean)
extern const CFStringRef kICTextBlinkCount; // CFNumber (int)
extern const CFStringRef kICServicesInContextualMenu; // CFNumber (Boolean)
extern const CFStringRef kICServicesInMenuBar; // CFNumber (Boolean)
extern const CFStringRef kICErrorSoundEnabled; // CFNumber (Boolean)
extern const CFStringRef kICErrorDialogEnabled; // CFNumber (Boolean)

// APEBundleMessages
extern const CFStringRef kICPreferencesChanged;

// UI constants
extern const int kICHysteresisPixels;
extern const int kICBlinkDelayUsecs;

#endif /* _H_ICeCoffEEShared */